#include <stdio.h>

void pc_area (double r) {
    if (r < 0)
        printf("Input error: %f\n", r);
    else
        printf ("r = %f, S = %f\n", r, 3.14159265 * r * r);
}

int main () {
    double x;

    while (scanf("%lf", &x) == 1) pc_area(x);

    return 0;
}





